<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
     version="1.0">

<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>

<?startSampleFile ?>
<!-- xq324.xsl: converts xq323.xml to xq325.xml -->
   
  <xsl:template match="binCode">
    <productLocation>
      <row><xsl:value-of select="substring(text(),1,2)"/>
		</row>
      <shelf><xsl:value-of select="substring(.,3,1)"/>
		</shelf>
      <prodNum><xsl:value-of select="substring-after(text(),'-')"/>
		</prodNum>
    </productLocation>
  </xsl:template>

<?endSampleFile ?>

  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
